/*
 * $Id: util.c,v 1.10 1999/12/28 08:03:54 tatuo-y Exp $
 */

#include <stdio.h>

#include "config.h"
#include "util.h"

static int m_debug_mode = 0;


/*
 * reverse byte ordering: one
 */
void sa_reverse_byte_order(void* p, int size)
{
    int j;
    char *c = (char*)p;

    for (j = 0; j < (size / 2); j++) {
	char tmp = *(c + j);
	*(c + j)= *(c + size - 1 - j);
	*(c + size - 1 - j) = tmp;
    }
}


/* 
 * make new file name: file name + suffix
 */
char* sa_add_suffix_to_file_name(char* new_fname, char* fname, char* suffix)
{
    sprintf(new_fname, "%s.%s", fname, suffix);
    return new_fname;
}


/* 
 * debug mode
 */
int is_debug_mode(void)
{
    return m_debug_mode;
}

void set_debug_mode(int i)
{
    m_debug_mode = i;
}

/*
 * print debug message
 */
void sa_dprintf(char *fmt, ...)
{
    va_list args;

    if (m_debug_mode == 0)
        return;

    fflush(stdout);
    fprintf(stderr, "DEBUG %s ", PACKAGE);

    va_start(args, fmt);
    vfprintf(stderr, fmt, args);
    va_end(args);

    fflush(stderr);
}

